package com.zhiLian.auth;

import com.zhiLian.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 认证授权中心
 *
 * @author zhiLian
 */
@EnableMyFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class})
public class ZhiLianAuthApplication {
    public static void main (String[] args) {
        SpringApplication.run(ZhiLianAuthApplication.class, args);
    }
}
