package com.zhiLian.business.text; /**
 * BingRui.Hou
 *
 * @Description 描述
 * @ClassName text
 * @Date 2024/05/29 10:31
 */
import com.alibaba.fastjson.JSON;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.HashMap;

public class DatabaseInitializer {

    public static void main(String[] args) {
        String postUrl="http://122.51.111.225:10006/webhook/%E6%96%B0%E5%BB%BA%E4%BC%81%E4%B8%9A%E6%95%B0%E6%8D%AE%E6%BA%90";
        HashMap<String, String> hashMap = new HashMap<>();
        hashMap.put("businessId",40+"jhghj");
        hashMap.put("mysqlPort",String.valueOf(3301));
        String json = JSON.toJSONString(hashMap);
        // 3.创建连接与设置连接参数
        URL urlObj = null;
        try {
            urlObj = new URL(postUrl);
            HttpURLConnection httpConn = (HttpURLConnection) urlObj.openConnection();
            httpConn.setRequestMethod("POST");
            httpConn.setRequestProperty("Charset", "UTF-8");
            // POST请求且JSON数据,必须设置
            httpConn.setRequestProperty("Content-Type", "application/json");
            // 打开输出流,默认是false
            httpConn.setDoOutput(true);
            // 打开输入流,默认是true,可省略
            httpConn.setDoInput(true);
            // 4.从HttpURLConnection获取输出流和写数据
            OutputStream oStream = httpConn.getOutputStream();
            oStream.write(json.getBytes());
            oStream.flush();
            // 5.发起http调用(getInputStream触发http请求)
            if (httpConn.getResponseCode() != 200) {
                throw new Exception("调用服务端异常.");
            }
            // 6.从HttpURLConnection获取输入流和读数据
            BufferedReader br = new BufferedReader(
                    new InputStreamReader(httpConn.getInputStream()));
            String resultData = br.readLine();
            System.out.println("从服务端返回结果: " + resultData);
            // 7.关闭HttpURLConnection连接
            httpConn.disconnect();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
