package com.zhiLian.vehicle;


import com.baomidou.dynamic.datasource.spring.boot.autoconfigure.DynamicDataSourceAutoConfiguration;
import com.zhiLian.common.security.annotation.EnableCustomConfig;
import com.zhiLian.common.security.annotation.EnableMyFeignClients;
import com.zhiLian.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * BingRui.Hou
 *
 * @Description 描述
 * @ClassName VehicleApplication
 * @Date 2024/05/27 19:33
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication(exclude = {DynamicDataSourceAutoConfiguration.class, DataSourceAutoConfiguration.class })
public class ZhiLianVehicleApplication {
    public static void main (String[] args) {
        SpringApplication.run(ZhiLianVehicleApplication.class, args);
    }

}
