## 系统模块

~~~
com.zhiLian     
├── zhiLian-ui              // 前端框架 [80]
├── zhiLian-gateway         // 网关模块 [8080]
├── zhiLian-auth            // 认证中心 [9200]
├── zhiLian-common          // 通用模块
│       └── zhiLian-common-core                         // 核心模块
│       └── zhiLian-common-datascope                    // 权限范围
│       └── zhiLian-common-datasource                   // 多数据源
│       └── zhiLian-common-log                          // 日志记录
│       └── zhiLian-common-redis                        // 缓存服务
│       └── zhiLian-common-seata                        // 分布式事务
│       └── zhiLian-common-security                     // 安全模块
│       └── zhiLian-common-swagger                      // 系统接口
│       └── zhiLian-common-system                       // 系统基础
├── zhiLian-modules         // 业务模块
│       └── zhiLian-system                              // 系统模块 [9201]
│       └── zhiLian-gen                                 // 代码生成 [9202]
│       └── zhiLian-job                                 // 定时任务 [9203]
│       └── zhiLian-file                                // 文件服务 [9300]
├── zhiLian-visual          // 图形化管理模块
│       └── zhiLian-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
