#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20230706.sql ./mysql/db
cp ../sql/ry_config_20220929.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../zhiLian-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy zhiLian-gateway "
cp ../zhiLian-gateway/target/zhiLian-gateway.jar ./zhiLian/gateway/jar

echo "begin copy zhiLian-auth "
cp ../zhiLian-auth/target/zhiLian-auth.jar ./zhiLian/auth/jar

echo "begin copy zhiLian-visual "
cp ../zhiLian-visual/zhiLian-monitor/target/zhiLian-visual-monitor.jar  ./zhiLian/visual/monitor/jar

echo "begin copy zhiLian-modules-system "
cp ../zhiLian-modules/zhiLian-system/target/zhiLian-modules-system.jar ./zhiLian/modules/system/jar

echo "begin copy zhiLian-modules-file "
cp ../zhiLian-modules/zhiLian-file/target/zhiLian-modules-file.jar ./zhiLian/modules/file/jar

echo "begin copy zhiLian-modules-job "
cp ../zhiLian-modules/zhiLian-job/target/zhiLian-modules-job.jar ./zhiLian/modules/job/jar

echo "begin copy zhiLian-modules-gen "
cp ../zhiLian-modules/zhiLian-gen/target/zhiLian-modules-gen.jar ./zhiLian/modules/gen/jar

