package com.zhiLian.business.Job;



import com.zhiLian.business.service.impl.EntinfoServiceImpl;
import com.zhiLian.common.business.domain.Entinfo;
import com.zhiLian.common.redis.service.RedisService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * BingRui.Hou
 *
 * @Description 描述
 * @ClassName ManyJob
 * @Date 2024/06/06 18:32
 */
@Component
@Log4j2
public class ManyJob {

    @Autowired
    private RedisService redisService;

    @Autowired
    private EntinfoServiceImpl entinfoService;


//    @Scheduled(cron = "*/10 * * * * *") // 每10分钟执行一次
    public void manyJob(){
        redisService.deleteObject("entinfo");
        List<Entinfo> list = entinfoService.list();
        redisService.setCacheList("entinfo",list);
    }
}
