package com.zhiLian.business.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.github.yulichang.wrapper.MPJLambdaWrapper;
import com.zhiLian.business.domain.Cart;
import com.zhiLian.business.domain.CartVo;
import com.zhiLian.business.domain.Type;
import com.zhiLian.business.mapper.PlusMapper;
import com.zhiLian.business.mapper.TypeMapper;
import com.zhiLian.business.service.PlusService;
import com.zhiLian.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * BingRui.Hou
 *
 * @Description 描述
 * @ClassName PlusServiceImpl
 * @Date 2024/06/09 15:37
 */
@Service
public class PlusServiceImpl extends MPJBaseServiceImpl<PlusMapper, Cart> implements PlusService {

    @Autowired
    private PlusMapper plusMapper;

    @Autowired
    private TypeMapper typeMapper;

    @Override
    public Result cartList() {
        MPJLambdaWrapper<Cart> mpjLambdaWrapper = new MPJLambdaWrapper<Cart>()
                .selectAll( Cart.class) //查询主表所有的字段
                .select(Type::getTypeName) //查询类型名称
                .leftJoin(Type.class, Type::getId, Cart::getTypeId);//左连接查询，相当于 left join type on dept.id=user.dept_id
        List<CartVo> cartList = plusMapper.selectJoinList(CartVo.class, mpjLambdaWrapper);
        return Result.success(cartList);
//        MPJLambdaWrapper<Cart> mpjLambdaWrapper1 = new MPJLambdaWrapper<>();
//        MPJLambdaWrapper<Cart> lambdaWrapper = mpjLambdaWrapper1.eq(Cart::getId, "1");


//        List<Cart> list = this.list();
//        list.stream().forEach(cart -> {
//            LambdaQueryWrapper<Type> typeLambdaQueryWrapper = new LambdaQueryWrapper<>();
//            Type type = typeMapper.selectOne(typeLambdaQueryWrapper.eq(Type::getId, cart.getTypeId()));
//            cart.setName(type.getTypeName());
//        });
//        System.out.println(list);
//        return Result.success(list,cartList.toString());
    }
}
