package com.zhiLian.vehicle.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.zhiLian.common.core.annotation.Excel;
import com.zhiLian.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 车辆录入对象 vehicle
 *
 * @author muyu
 * @date 2024-05-27
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleVo extends BaseEntity
{


    /** 车辆主键 */
    private Long id;

    /** 车辆vin */
    private String number;

    /** 电子围栏ID */
    private Long electonicId;

    /** 电机厂商 */
    private String motor;

    /** 电池厂商 */
    private String battery;

    /** 电机编号 */
    private Long motorNumber;

    /** 电池编号 */
    private Long batteryNumber;

    /** 企业ID */
//    @Excel(name = "企业ID")
//    private Long businessId;
    private Long groupId;

    private String typeName;

}
